const Logger = require('./commons/Logger')
const Files = require('./commons/Files')
const knexJs = require('knex')
const knexConfig = require('../../knexfile.js')
const log = new Logger()
const fileUtils = new Files()

module.exports = () => {

    const allDirectores = fileUtils.getAllDirectories('./src/commons/migrations/')

    const knex = knexJs(knexConfig)

    log.info(`running knex migrate in directory: ${knexConfig.migrations.directory}`)
    const originDirectory = knexConfig.migrations.directory

    knex.migrate.latest()
        .then(async function () {
            if (allDirectores && allDirectores.length > 0) {
                for (const directory of allDirectores) {
                    const directoryToExecute = originDirectory + '/' + directory
                    log.info(`Running knex migrate in directory: ${directoryToExecute}`)

                    knexConfig.migrations.directory = directoryToExecute
                    const knexSubDirectory = knexJs(knexConfig)
                    await knexSubDirectory.migrate.latest()
                }
            }
        })
        .then(function () {
            log.info(`Finished knex migrate`)
        })
}
