const Logger = require('./commons/Logger')
const Files = require('./commons/Files')
const knexJs = require('knex')
const knexConfig = require('../../knexfile.js')

const log = new Logger()
const fileUtils = new Files()

module.exports = () => {

    const allDirectores = fileUtils.getAllDirectories('./src/commons/migrations/')

    const knex = knexJs(knexConfig)

    log.info(`Running knex seed in directory: ${knexConfig.seeds.directory}`)
    const originDirectory = knexConfig.seeds.directory

    knex.seed.run()
        .then(async function () {
            if (allDirectores && allDirectores.length > 0) {
                for (const directory in allDirectores) {
                    const directoryToExecute = originDirectory + directory
                    log.info(`Running knex seed in directory: ${directoryToExecute}`)

                    knexConfig.seeds.directory = directoryToExecute
                    const knexSubDirectory = knexJs(knexConfig)
                    await knexSubDirectory.seeds.run()
                }
            }
        })
        .then(function () {
            log.info(`Finished knex seed`)
        })
}
