"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _boom = _interopRequireDefault(require("@hapi/boom"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class RepositoryGeneric {
  constructor(model, modelName, key = "id") {
    this.modelClass = model;
    this.model = new model();
    this.modelName = modelName;
    this.key = key;
  }

  buscarTodos() {
    return this.model.fetchAll();
  }

  buscarPorId(key) {
    const parametro = {};
    parametro[this.key] = key;
    return new this.modelClass(parametro).fetch().then(entity => {
      if (!entity) {
        throw _boom.default.internal(this.modelName + " não encontrado!");
      }

      return entity.toJSON();
    });
  }

  inserir(entity, options = {}) {
    return new this.modelClass().save(entity, options);
  }

  editar(key, entity, options = {}) {
    const parametro = {};
    parametro[this.key] = key;
    return new this.modelClass(parametro).save(entity, options);
  }

  remover(key, options = {}) {
    const parametro = {};
    parametro[this.key] = key;
    return new this.modelClass(parametro).fetch().then(model => model.destroy(options));
  }

}

exports.default = RepositoryGeneric;