"use strict";

require("./env");

let connection = {
  port: process.env.DB_PORT,
  host: process.env.DB_HOST,
  user: process.env.DB_USER,
  password: process.env.DB_PASSWORD,
  database: process.env.DB_NAME,
  charset: 'utf8',
  timezone: 'UTC'
};
module.exports = {
  connection,
  client: process.env.DB_CLIENT,
  migrations: {
    tableName: 'migrations',
    directory: './src/commons/migrations',
    stub: './node_modules/juns-api/stubs/migration.stub'
  },
  seeds: {
    directory: './src/commons/seeds',
    stub: './node_modules/juns-api/stubs/seed.stub'
  }
};