"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mountDomain = mountDomain;
exports.getAppInfos = getAppInfos;

var _package = _interopRequireDefault(require("../../../package"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function mountDomain() {
  const info = getAppInfos();
  let domain = '';

  if (info.ssl) {
    domain += 'https://';
  } else {
    domain += 'http://';
  }

  domain += info.host;

  if (info.port !== '80') {
    domain += info.port;
  }

  return domain;
}

function getAppInfos() {
  const APP_PORT = process.env.APP_PORT || "8000";
  const APP_HOST = process.env.APP_HOST || "0.0.0.0";
  const APP_SSL = process.env.APP_SSL || false;
  return {
    port: APP_PORT,
    host: APP_HOST,
    ssl: APP_SSL,
    title: _package.default.name,
    version: _package.default.version,
    description: _package.default.description,
    author: _package.default.author
  };
}