"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isValidPassword = isValidPassword;
exports.encryptPassword = encryptPassword;

var _bcrypt = _interopRequireDefault(require("bcrypt"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function isValidPassword(passwordEncrpted, password) {
  return _bcrypt.default.compareSync(passwordEncrpted, password);
}

function encryptPassword(password) {
  return _bcrypt.default.hashSync(password, 8);
}